package com.usky.vpp.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.vpp.service.vo.DrInvitationNotifyRequest;
import com.usky.vpp.service.vo.DrInvitationReplyRequest;
import com.usky.vpp.service.vo.DrInvitationRequest;
import com.usky.vpp.service.vo.DrInvitationVO;

import java.util.Map;

/**
 * 需求响应邀约业务接口
 */
public interface VppDrInvitationService {

    CommonPage<DrInvitationVO> pageInvitation(Map<String, Object> params);

    DrInvitationVO getInvitation(Long id);

    DrInvitationVO createInvitation(DrInvitationRequest request);

    void updateInvitation(Long id, DrInvitationRequest request);

    void deleteInvitation(Long id);

    DrInvitationVO notifySms(Long id, DrInvitationNotifyRequest request);

    DrInvitationVO replyInvitation(Long id, DrInvitationReplyRequest request);
}
